
package com.tmerclub.cloud.api.user.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author lhd
 */
@Data
public class MemberReqDTO extends CustomerReqDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "0 全部会员 1免费会员(普通会员) 2付费会员")
    private Integer memberType;

    @Schema(description = "符合条件的userIds")
    private List<Long> userIds;

    @Schema(description = "几年前")
    private Date beforeYear;
    public MemberReqDTO() {
    }

    public MemberReqDTO(Date startTime, Date endTime) {
        super(startTime, endTime);
    }


    @Override
    public String toString() {
        return "MemberReqDTO{" +
                "memberType=" + memberType +
                ", userIds=" + userIds +
                ", beforeYear=" + beforeYear +
                '}';
    }
}
